/*
 * Dialog tab V1.0  
 * By:Leon.Qiu
 * Depends: jquery.js 1.4 or latest
 * Used with   IFA-JS
 */

define(function(require) { return function($) {
	$.dialogTab = function Dialogtab(inputId,divId,tabId,options){
				    var config={};
				    var defaultConfig = {
						paddingLeft : '',
						divSlideUpTime : '',
						divSlideDownTime : ''
					};
				    //extends options
				    $.extend(config,defaultConfig,options);
				    //bind object which clicks show dialog tab
				    $("#"+inputId).click(function(){
				      $("#"+divId).show();
					  });
				   $('#'+tabId+' > li').click(function(){
					    $('#'+tabId+' > li').removeClass('selected');
					    $(this).addClass('selected');
					    if((config.divSlideUpTime!='')&&(config.divSlideUpTime!=null)){
					    	$('.tabBoxBody div').slideUp(config.divSlideUpTime);
					    	}else{
					    	$('.tabBoxBody div').hide();
					    }
					    if((config.divSlideDownTime!='')&&(config.divSlideDownTime!=null)){
					    	$('.tabBoxBody div:eq(' + $('#'+tabId+' > li').index(this) + ')').slideDown(config.divSlideDownTime);
					    }else{
					    	$('.tabBoxBody div:eq(' + $('#'+tabId+' > li').index(this) + ')').show();
					    }
					  });
				   if((config.paddingLeft!='')&&(config.paddingLeft!=null)){
					  $('.tabBoxBody li').mouseover(function() {
					    $(this).children().animate({paddingLeft: config.paddingLeft+"px"}, {queue:false, duration:300});
					  }).mouseout(function() {
					    $(this).children().animate({paddingLeft:"0"}, {queue:false, duration:300});
					  });
				   }
			}
}});

